#include <iostream>

using namespace std;

int main()
{
    long long brojUcenika,brojParova,ukupno=0,x1,y1;
    long long x[10] = {0};
    long long y[10] = {0};
    long long drug[10] = {0};
    long long poznanici[10] = {0};
    long long neprijatelji[10] = {0};
    long long prijatelji[10] = {0};
    cin>>brojUcenika>>brojParova;
    for(long long i=1; i<=brojUcenika; i++){
        cin>>drug[i];
    }
    for(long long i=1; i<=brojParova; i++){
        cin>>x[i]>>y[i];
        }
    for(long long i=1; i<=brojParova; i++){
        x1=x[i];
        y1=y[i];
        poznanici[x1]++;
        poznanici[y1]++;
    }
    for(long long i=1; i<=brojParova; i++){
        if(drug[i]poznanici[i]+drug[i+1]poznanici[i+1]>drug[i](0-poznanici[i])+drug[i](0-poznanici[i+1])){
                prijatelji[i]++;
                prijatelji[i+1]++;

        }
        else{
            neprijatelji[i]++;
            neprijatelji[i+1]++;
        }
        poznanici[i]--;
        poznanici[i+1]--;
    }
    for(long long i=1; i<=brojUcenika; i++){
        ukupno=ukupno+drug[i]*(prijatelji[i]-neprijatelji[i]);
    }
    cout<<ukupno;



}